#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n,m;
    cin >> n >> m;
    long long p;
    for(long long i = 0;i<n;i++){
        for(long long j = 0;j<m;j++){
            long long a;
            cin >> a;
            if(j==m-1 && i==n-1){
                p = a;
            }
        }
    }
    cout << p;
    return 0;
}